<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg">

    <xn.xxp.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:signed="false" />

    <xn.xxp.widget.NavViewCompat
        android:id="@+id/nav_view"
        android:layout_width="0dp"
        android:layout_height="42dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar"
        app:location="实验室简介"
        app:showBack="true"
        app:showHome="false" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="17dp"
        android:layout_marginTop="7dp"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="50dp"
        android:background="@drawable/shape_rect_round_11_solid_white_20p"
        android:paddingStart="17dp"
        android:paddingTop="20dp"
        android:paddingEnd="17dp"
        android:paddingBottom="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/nav_view">

        <TextView
            android:id="@+id/infoTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="实验室简介"
            android:textColor="@android:color/white"
            android:textSize="17sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.tencent.smtt.sdk.WebView
            android:id="@+id/webView"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/infoTitle" />

        <ProgressBar
            android:id="@+id/progressbar"
            style="@android:style/Widget.ProgressBar.Horizontal"
            android:layout_width="0dp"
            android:layout_height="2dp"
            android:progress="0"
            android:progressDrawable="@drawable/progressbar"
            app:layout_constraintEnd_toEndOf="@id/webView"
            app:layout_constraintStart_toStartOf="@id/webView"
            app:layout_constraintTop_toTopOf="@id/webView" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>